Problem to upgrade to 3.0.0 - Public Key Error

Discussions about RaZberry - Z-Wave board for Raspberry computer
Post Reply
saber1
Posts: 5
Joined: 01 Sep 2019 10:48

Problem to upgrade to 3.0.0 - Public Key Error

Post by saber1 » 01 Sep 2019 10:53

Dear all,
to upgrade to v3.0.0 i followed this instruction: https://z-wave.me/z-way-v3-0-0/

This produces an negative respond: sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys 7E148E3C
and after the second sudo apt-get update i get an error message that there is a problem with the public key.

Whats wrong here? :?

saber1

User avatar
PoltoS
Posts: 4954
Joined: 26 Jan 2011 19:36

Re: Problem to upgrade to 3.0.0 - Public Key Error

Post by PoltoS » 01 Sep 2019 12:03

Can you paste the error?

saber1
Posts: 5
Joined: 01 Sep 2019 10:48

Re: Problem to upgrade to 3.0.0 - Public Key Error

Post by saber1 » 01 Sep 2019 12:34

Code: Select all

GPG-Fehler: https://repo.z-wave.me/z-way/raspbian stretch InRelease: Die folgenden Signaturen konnten nicht überprüft werden, weil ihr öffentlicher Schlüssel nicht verfügbar ist: NO_PUBKEY E5958C31C0AFD761
The repository 'https://repo.z-wave.me/z-way/raspbian stretch InRelease' is not signed.
Data from such a repository can't be authenticated and is therefore potentially dangerous to use.
See apt-secure(8) manpage for repository creation and user configuration details.

User avatar
PoltoS
Posts: 4954
Joined: 26 Jan 2011 19:36

Re: Problem to upgrade to 3.0.0 - Public Key Error

Post by PoltoS » 01 Sep 2019 18:53

I'm mostly interested in this:
This produces an negative respond:

Code: Select all

sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys 7E148E3C
Can you try to install it via

Code: Select all

wget -q -O - https://storage.z-wave.me/RaspbianInstall | sudo bash

saber1
Posts: 5
Joined: 01 Sep 2019 10:48

Re: Problem to upgrade to 3.0.0 - Public Key Error

Post by saber1 » 01 Sep 2019 20:39

The respond for

Code: Select all

sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys 7E148E3C
is

Code: Select all

Executing: /tmp/apt-key-gpghome.h9rHkexFB1/gpg.1.sh --keyserver keyserver.ubuntu.com --recv-keys 7E148E3C
gpg: keyserver receive failed: Server zeigt einen unbestimmten Fehler an
What is the difference if i install it via

Code: Select all

wget -q -O - https://storage.z-wave.me/RaspbianInstall | sudo bash
to the "normal" way?

I want to install it over an existing system.
Will this be possible? >
When you install on top of an existing Z-Way make sure to replace (select Y during installation) your Defaults.xml and /etc/init.d/z-way-server init script by those from the package and keep (select N) all your /etc/zbw/ files.

User avatar
PoltoS
Posts: 4954
Joined: 26 Jan 2011 19:36

Re: Problem to upgrade to 3.0.0 - Public Key Error

Post by PoltoS » 02 Sep 2019 03:40

The way via

Code: Select all

wget -q -O - https://storage.z-wave.me/RaspbianInstall | sudo bash
is handling all the things mentioned in your link automatically.

saber1
Posts: 5
Joined: 01 Sep 2019 10:48

Re: Problem to upgrade to 3.0.0 - Public Key Error

Post by saber1 » 02 Sep 2019 21:08

This

Code: Select all

wget -q -O - https://storage.z-wave.me/RaspbianInstall | sudo bash
produces that:

Code: Select all

OK:1 http://archive.raspberrypi.org/debian stretch InRelease
Holen:2 http://raspbian.raspberrypi.org/raspbian stretch InRelease [15,0 kB]
Holen:3 https://repo.z-wave.me/z-way/raspbian stretch InRelease [1.810 B]
Holen:4 http://raspbian.raspberrypi.org/raspbian stretch/main armhf Packages [11,7 MB]
Ign:3 https://repo.z-wave.me/z-way/raspbian stretch InRelease                  
Es wurden 11,7 MB in 10 s geholt (1.096 kB/s).                                 
Paketlisten werden gelesen... Fertig
W: GPG-Fehler: https://repo.z-wave.me/z-way/raspbian stretch InRelease: Die folgenden Signaturen konnten nicht überprüft werden, weil ihr öffentlicher Schlüssel nicht verfügbar ist: NO_PUBKEY E5958C31C0AFD761
W: The repository 'https://repo.z-wave.me/z-way/raspbian stretch InRelease' is not signed.
N: Data from such a repository can't be authenticated and is therefore potentially dangerous to use.
N: See apt-secure(8) manpage for repository creation and user configuration details.
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.       
Statusinformationen werden eingelesen.... Fertig
dirmngr ist schon die neueste Version (2.1.18-8~deb9u4).
Die folgenden Pakete werden aktualisiert (Upgrade):
  apt-transport-https
1 aktualisiert, 0 neu installiert, 0 zu entfernen und 250 nicht aktualisiert.
Es müssen 166 kB an Archiven heruntergeladen werden.
Nach dieser Operation werden 0 B Plattenplatz zusätzlich benutzt.
Holen:1 http://ftp.gwdg.de/pub/linux/debian/raspbian/raspbian stretch/main armhf apt-transport-https armhf 1.4.9 [166 kB]
Es wurden 166 kB in 0 s geholt (291 kB/s).  
apt-listchanges: Lese Changelogs...
(Lese Datenbank ... 117952 Dateien und Verzeichnisse sind derzeit installiert.)
Vorbereitung zum Entpacken von .../apt-transport-https_1.4.9_armhf.deb ...
Entpacken von apt-transport-https (1.4.9) über (1.4.8) ...
apt-transport-https (1.4.9) wird eingerichtet ...
Executing: /tmp/apt-key-gpghome.tndpHcvomw/gpg.1.sh --keyserver keyserver.ubuntu.com --recv-keys 7E148E3C
gpg: keyserver receive failed: Server zeigt einen unbestimmten Fehler an
OK:1 http://raspbian.raspberrypi.org/raspbian stretch InRelease
OK:2 http://archive.raspberrypi.org/debian stretch InRelease
Holen:3 https://repo.z-wave.me/z-way/raspbian stretch InRelease [1.810 B]
Ign:3 https://repo.z-wave.me/z-way/raspbian stretch InRelease
Es wurden 1.810 B in 1 s geholt (1.279 B/s).
Paketlisten werden gelesen... Fertig
W: GPG-Fehler: https://repo.z-wave.me/z-way/raspbian stretch InRelease: Die folgenden Signaturen konnten nicht überprüft werden, weil ihr öffentlicher Schlüssel nicht verfügbar ist: NO_PUBKEY E5958C31C0AFD761
W: The repository 'https://repo.z-wave.me/z-way/raspbian stretch InRelease' is not signed.
N: Data from such a repository can't be authenticated and is therefore potentially dangerous to use.
N: See apt-secure(8) manpage for repository creation and user configuration details.
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.       
Statusinformationen werden eingelesen.... Fertig
The following additional packages will be installed:
  webif z-way-server zbw
Die folgenden NEUEN Pakete werden installiert:
  webif z-way-full z-way-server zbw
0 aktualisiert, 4 neu installiert, 0 zu entfernen und 250 nicht aktualisiert.
Es müssen 21,5 MB an Archiven heruntergeladen werden.
Nach dieser Operation werden 1.434 kB Plattenplatz zusätzlich benutzt.
WARNUNG: Die folgenden Pakete können nicht authentifiziert werden!
  z-way-server webif zbw z-way-full
E: There were unauthenticated packages and -y was used without --allow-unauthenticated

User avatar
PoltoS
Posts: 4954
Joined: 26 Jan 2011 19:36

Re: Problem to upgrade to 3.0.0 - Public Key Error

Post by PoltoS » 06 Sep 2019 00:05

Some strange error from the key server. Is it still persisting?

enbemokel
Posts: 286
Joined: 08 Aug 2016 17:36

Re: Problem to upgrade to 3.0.0 - Public Key Error

Post by enbemokel » 10 Sep 2019 12:51

https://forum.z-wave.me/viewtopic.php?f ... =10#p83731
Hi, in dem Thread ist vielleicht was passendes, hatte ein ähnliches Problem mit keyserver und mit diesen Zeilen ;)
Die folgenden Pakete werden aktualisiert (Upgrade):
apt-transport-https
1 aktualisiert, 0 neu installiert, 0 zu entfernen und 250 nicht aktualisiert.

Bei mir waren es glaube keine 250 nicht installierten, aber die Vorgehensweise vom anderen Thread hat das behoben.

saber1
Posts: 5
Joined: 01 Sep 2019 10:48

Re: Problem to upgrade to 3.0.0 - Public Key Error

Post by saber1 » 15 Sep 2019 09:29

Hey enbemokel,

DAS hat geholfen. Vielen Dank.

Post Reply